package com.dmgame.net.script;

import com.dmgame.net.script.*;
import com.dmgame.net.server.NetplayServer;

return new NetplayTimer();

class NetplayTimer extends ServerCommand{

	String getName(){return "timer"};

	public boolean perform(Scanner s){
		try{
			NetplayServer.gameTime = Double.parseDouble(s.next());
			System.out.println("set game time to "+NetplayServer.gameTime+" minutes")
		}catch(NumberFormatException ex){
			System.out.println("- time must be a number")
			return false
		}
		return true
	}
}